Subject: bug#15109: 24.3.50; doc of `x-get-selection, `selection-converter-alist', `xselect-convert-to-*'

From: Drew Adams <[email-masked]>
Date: Mon, 10 Feb 2014 13:36:12 -0800 (PST)

> I see no reason to have selection-converter-alist documented
> on Windows, since the functionality it encompasses is not available
> there, and the DATA-TYPE argument to x-get-selection is completely
> ignored on MS-Windows.

In that case, why define `selection-converter-alist' at all on
Windows?  And why not rename it to `x-selection-converter-alist',
if it is X-specific?

On the other hand, although `x-get-selection' has that prefix,
it _is_ defined and used on Windows.  Likewise, `x-set-selection'.
Code that makes use of the secondary selection will make use of
such functions, for instance.

So maybe they should lose their `x-' prefix (or suitable unprefixed
synonyms or wrapper functions be provided).

IOW, things do not seem so cut-and-dried as you describe them.
In the past we have renamed `x-defined-colors' to `defined-colors' etc.
Sounds like maybe some more such cleanup is in order.